diff --git a/grammar/rainerscript.c b/grammar/rainerscript.c
index 878a1ebd04..dfd0eddd78 100644
--- a/grammar/rainerscript.c
+++ b/grammar/rainerscript.c
@@ -1203,6 +1203,18 @@ nvlstGetParams(struct nvlst *lst, struct cnfparamblk *params,
 		}
 	}
 
+	/* now config-system parameters (currently a bit hackish, as we
+	 * only have one...). -- rgerhards, 2018-01-24
+	 */
+	if((valnode = nvlstFindNameCStr(lst, "config.enabled")) != NULL) {
+		if(es_strbufcmp(valnode->val.d.estr, (unsigned char*) "on", 2)) {
+			dbgprintf("config object disabled by configuration\n");
+			valnode->bUsed = 1;
+			bInError = 1;
+		}
+	}
+
+	/* done parameter processing */
 	if(bInError) {
 		if(bValsWasNULL)
 			cnfparamvalsDestruct(vals, params);
diff --git a/tests/Makefile.am b/tests/Makefile.am
index 4757291093..5cf4336f46 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -267,6 +267,7 @@ TESTS +=  \
 	rscript_parse_json.sh \
 	rscript_previous_action_suspended.sh \
 	rscript_str2num_negative.sh \
+	rscript-config_enable-on.sh \
 	mmanon_random_32_ipv4.sh \
 	mmanon_random_cons_32_ipv4.sh \
 	mmanon_recognize_ipv4.sh \
@@ -316,6 +317,7 @@ TESTS +=  \
 	include-obj-text-vg.sh \
 	rscript_parse_json-vg.sh \
 	rscript_backticks-vg.sh \
+	rscript-config_enable-off-vg.sh \
 	prop-jsonmesg-vg.sh
 endif # HAVE_VALGRIND
 endif # ENABLE_TESTBENCH2
@@ -936,6 +938,8 @@ EXTRA_DIST= \
 	include-obj-outside-control-flow-vg.sh \
 	include-obj-in-if-vg.sh \
 	include-obj-text-vg.sh \
+	rscript-config_enable-off-vg.sh \
+	rscript-config_enable-on.sh \
 	rscript_http_request.sh \
 	rscript_http_request-vg.sh \
 	rscript_bare_var_root.sh \
diff --git a/tests/rscript-config_enable-off-vg.sh b/tests/rscript-config_enable-off-vg.sh
new file mode 100755
index 0000000000..8b6c402fa9
--- /dev/null
+++ b/tests/rscript-config_enable-off-vg.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+# added 2018-01-22 by Rainer Gerhards; Released under ASL 2.0
+. $srcdir/diag.sh init
+export DO_STOP=off
+. $srcdir/diag.sh generate-conf
+. $srcdir/diag.sh add-conf '
+template(name="outfmt" type="string" string="%msg:F,58:2%\n")
+
+if $msg contains "msgnum:" then {
+	if $msg contains "msgnum:00000000" then {
+		include(text="stop" config.enabled=`echo $DO_STOP`)
+	}
+	action(type="omfile" template="outfmt" file="rsyslog.out.log")
+}
+'
+. $srcdir/diag.sh startup-vg
+. $srcdir/diag.sh injectmsg 0 10
+. $srcdir/diag.sh shutdown-when-empty
+. $srcdir/diag.sh wait-shutdown-vg
+. $srcdir/diag.sh check-exit-vg
+. $srcdir/diag.sh seq-check 0 9
+. $srcdir/diag.sh exit
diff --git a/tests/rscript-config_enable-on.sh b/tests/rscript-config_enable-on.sh
new file mode 100755
index 0000000000..ec00f2d727
--- /dev/null
+++ b/tests/rscript-config_enable-on.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+# tests 'config.enabled="on"' -- default value is implicitely check
+# in all testbench tests and does not need its individual test
+# (actually it is here tested via template() and action() as well...
+# added 2018-01-22 by Rainer Gerhards; Released under ASL 2.0
+. $srcdir/diag.sh init
+export DO_STOP=on
+. $srcdir/diag.sh generate-conf
+. $srcdir/diag.sh add-conf '
+template(name="outfmt" type="string" string="%msg:F,58:2%\n")
+
+if $msg contains "msgnum:" then {
+	if $msg contains "msgnum:00000000" then {
+		include(text="stop" config.enabled=`echo $DO_STOP`)
+	}
+	action(type="omfile" template="outfmt" file="rsyslog.out.log")
+}
+'
+. $srcdir/diag.sh startup
+. $srcdir/diag.sh injectmsg 0 10
+. $srcdir/diag.sh shutdown-when-empty
+. $srcdir/diag.sh wait-shutdown
+. $srcdir/diag.sh seq-check 1 9
+. $srcdir/diag.sh exit
